import type { ParamMatcher } from '@sveltejs/kit';

export const links = [
  'git',
  'discord'
];

type Link = (typeof links)[number];

export const linkMap: Record<Link, string> = {
  git: "https://git.peerat.dev",
  discord: "https://discord.gg/72vuHcwUkE",
}

export const isLink = (param: string): param is Link => {
  return links.includes(param as Link);
}

export const match: ParamMatcher = (param: string) => {
  return links.includes(param.toLowerCase() as Link)
};
