import { API_URL } from '$env/static/private';
import { redirect } from '@sveltejs/kit';

import type { PageServerLoad } from './$types';

import type { Chapter } from '$lib/types';

export const load = (async ({ fetch, locals: { user } }) => {

	if (!user) redirect(302, '/login');

	const res = await fetch(`${API_URL}/chapters`);

	let chapters: Chapter[];

	if (!res.ok) {
		chapters = [];
	} else {
		chapters = await res.json();
	}

	const event = chapters.filter((chapter) => chapter.start && chapter.end).pop();

	return {
		title: 'Dashboard',
		event,
	};
}) satisfies PageServerLoad;
