import { API_URL } from "$env/static/private";
import { redirect } from "@sveltejs/kit";
import type { PageServerLoad } from "./$types";
import type { Puzzle } from "$lib/types";

export const load: PageServerLoad = async ({ locals: { user }, fetch }) => {
  if (!user) redirect(302, '/login');

  if (!user.email.endsWith('@peerat.dev')) redirect(302, '/');

  const res = await fetch(`${API_URL}/admin/puzzles/`);

  if (!res.ok) redirect(302, '/');

  const puzzles: Puzzle[] = await res.json();

  return {
    puzzles
  };
};
