import { z } from "zod";

export const formSchema = z.object({
  name: z.string().min(1, { message: "Le nom du puzzle est requis" }),
  content: z.string().min(1, { message: "Le contenu du puzzle est requis" }),
  soluce: z.string().min(1, { message: "La solution du puzzle est requise" }),
  score_max: z.string().regex(/^\d+$/, { message: "Le score maximum doit être un nombre" }),
  chapter: z.string().regex(/^\d+$/, { message: "Le chapitre doit être un nombre" }),
});

export type FormSchema = typeof formSchema;

const text = `
Bienvenue dans notre vaisseau de cyber-formation le « Rasper-ship », moussaillon.

Nous t’accueillons ici pour un entraînement intensif à la programmation. 
Quand tu seras devenu un véritable Peer-at Codeur, tu pourras m’aider à sauver le monde.

Je me présente, je m’appelle « Philipz Cypher Wolf Barlow ». Je serai ton capitaine durant tout ton parcours d’apprentissage du code.
Premièrement, nous allons nous occuper de ton équipement. 
Pour développer, ton arme principale sera un IDE (Integrated Development Editor) mais dans un premier temps je te propose d’utiliser un éditeur de texte avancé. 

Celui que je te conseille est Open Source est disponible sur tous les types d’ordinateur, il s’appelle Geany (https://www.geany.org/). 
Commence par l’installer sur ta machine !

Pour discuter avec d’autres Peerats et obtenir de l’aide des plus expérimentés, rejoins notre serveur Discord (https://discord.gg/eUbSbPceh3). 
N’hésite pas y demander une petite démo de l’utilisation de Geany :)

Si tu t’es orienté vers la cybersécurité, tu peux réaliser les challenges en Python.
Si tu t’es orienté vers le développement d’applications, tu peux réaliser les challenges en Java.

Allez moussaillon, « souquez les artimuses » et lancez Geany ! 
Si tu n’as jamais codé, tu peux trouver, dans la cale, des explications sur son fonctionnement.

Commence par créer un fichier Abordage.java ou Abordage.py en fonction du langage que tu veux utiliser. 
Voici ce que tu peux écrire dans ce fichier: ![À l'abordage !](https://cdn.peerat.dev/w1-0.png)

Félicitation, tu viens d’écrire le code source de ton premier programme :)
(Compile) et Exécute ton programme. Copie ci-dessous le résultat affiché dans la console.

Si tu as besoin d’aide pour cette étape, n’hésite pas à solliciter d’autres Peerats sur Discord ou dans les couloirs de ton campus.
`
